<?php
	require '../views/pages/conex.php';
	require 'fpdf/fpdf.php';
	
	//require 'plantilla.php';
	$idfactura = $_GET['idfactura'];
    date_default_timezone_set('America/Guayaquil');
    $diassemana = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","S谩bado");
    $meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
    $fechaActual= $diassemana[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y');
    
	
	
	$tarja ="SELECT fi.*,m.*
	FROM tb_facturainfo  as fi 	
	INNER JOIN tb_moneda as m on m.idmoneda = fi.id_moneda
	WHERE fi.idfacturainfo = $idfactura and fi.condicion =1";
	$tar = mysqli_query($conn,$tarja);	
	if($row = mysqli_fetch_array($tar) )
	{
		
		$exonerado=$row['exonerado'];
		$numero=$row['numero'];
		$cedula=$row['cedula'];		
		$nombre=$row['nombre'];
		$pedido=$row['pedido'];
		$dai=$row['dai'];
		$sp=$row['sp'];
		$fecha=$row['fecha'];
		$moneda=$row['siglas'];
		$fechafi=$row['fecha'];
	}
	
	
	
	
    $timestamp = strtotime($fecha);
    
    

    // Formatea la fecha en el formato deseado
        setlocale(LC_ALL,"es_ES");
    
        $fecha_formateada = strftime("%A, %d de %B de %Y", $timestamp);
    
    
    

	if ($exonerado == 0)
	{
	
		$tarja2 ="SELECT fi.*, e.* 
		FROM tb_facturainfo  as fi 	
		INNER JOIN tb_empresa as e on e.idempresa = fi.id_cliente
		WHERE fi.idfacturainfo = $idfactura and fi.condicion =1";
		$tar2 = mysqli_query($conn,$tarja2);
		
		if($row = mysqli_fetch_array($tar2) )
		{
			$ruc=$row['ruc'];
			$razon_social=$row['razon_social'];
			$fechafi=$row['fecha'];
			
		}
	}
	
	$pdf=new FPDF('L','mm','Legal');
	//$pdf->AliasNbPages();
    $pdf->AddPage();
	$pdf->AliasNbPages();
	

	$pdf->SetFont('Arial','B',10);
	$pdf->SetY(10);
	$pdf->Cell(0,25,"",0,2,'R');
	$pdf->Image('img/latkic2.png',12,10,25);
	
	$fecha_actual = "2023-11-09";
	if($fechafi >= $fecha_actual)
	{
    	$pdf->SetFont('Arial','',7);
    	$pdf->Setx(15);
    	$pdf->Cell(0,-35,utf8_decode("C贸digo SGI: LATKIC-OP-RF00022 /Rev.#00 /10-11-2023"),0,2,'L');
    	$pdf->SetFont('Arial','B',10);
    	$pdf->Cell(0,30,"FACTURA INFORMATIVA",0,2,'C');
    	$pdf->SetFont('Arial','B',10);
	    $pdf->Cell(0,-30,"NO.: ".$numero,0,2,'R');
	}
	else
	{
    	$pdf->SetFont('Arial','B',10);
    	$pdf->Cell(0,-38,"FACTURA INFORMATIVA",0,2,'C');
    	$pdf->SetFont('Arial','B',10);
	    $pdf->Cell(0,35,"NO.: ".$numero,0,2,'R');
	}
	
	
	
	$pdf->SetFont('Arial','B',8);
	$pdf->SetY(19);
	$pdf->Cell(0,1,"LATKIC S.A. RUC: 0992684119001",0,2,'C');
	
	$pdf->SetFont('Arial','',8);
	$pdf->SetY(22);
	$pdf->Cell(0,1,"Guayaquil: Via a la Costa Km 24S/N Solar 1 Parroquia Chongon",0,2,'C');
	
	$pdf->SetFont('Arial','',8);
	$pdf->SetY(25);
	$pdf->Cell(0,1,"Quito: Km 23 de la Via Interocianica - Pifo por la calle de Techint y Camasa",0,2,'C');
	
	if ($exonerado == 0)
	{
		$pdf->SetY(25);
		$pdf->Setx(20);	
		$pdf->SetFont('Arial','',9);
		$pdf->Cell(50,1,"RUC: ".$ruc,0,1,'L');
		$pdf->SetY(30);
		$pdf->Setx(20);	
		$pdf->Cell(50,1,"CLIENTE: ".$razon_social,0,1,'L');
	}
	else
	{
		$pdf->SetY(25);
		$pdf->Setx(20);	
		$pdf->SetFont('Arial','',9);
		$pdf->Cell(50,1,"Cedula/Pasaporte: ".$cedula,0,1,'L');
		$pdf->SetY(30);
		$pdf->Setx(20);	
		$pdf->SetFont('Arial','',9);		
		$pdf->Cell(50,1,"CLIENTE: ". utf8_decode($nombre),0,1,'L');
	}
	
   
	$pdf->SetY(35);
	$pdf->Setx(20);	
	$pdf->SetFont('Arial','',9);		
	//$pdf->Cell(50,1,"FECHA: ". utf8_decode($fecha_formateada),0,1,'L');
	$pdf->Cell(50,1,"FECHA: ". utf8_decode($fecha),0,1,'L');
	
	$pdf->SetFont('Arial','',8);
	$pdf->SetY(20);
	$pdf->Cell(0,1,"PEDIDO: ".$pedido,0,2,'R');
	
	$pdf->SetFont('Arial','',8);
	$pdf->SetY(25);
	$pdf->Cell(0,1,"DAI 70: ".$dai,0,2,'R');
	
	$pdf->SetFont('Arial','',8);
	$pdf->SetY(30);
	$pdf->Cell(0,1,"SP : ".$sp,0,2,'R');
////////////////////////////////////////
	$pdf->SetFont('Arial','',5);
	$pdf->SetY(40);
	$pdf->Cell(8,5,"NRO.",1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(18);	
	$pdf->Cell(10,5,"ITEM NO.",1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(28);	
	$pdf->Cell(20,5,"MARCA",1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(48);	
	$pdf->Cell(30,5,utf8_decode("DESCRIPCI脫N"),1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(78);	
	$pdf->Cell(15,5,"COLOR",1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(93);	
	$pdf->Cell(50,5,"MODELO",1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(143);	
	$pdf->Cell(15,5,utf8_decode("A脩O"),1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(158);	
	$pdf->Cell(40,5,"CHASIS",1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(198);	
	$pdf->Cell(40,5,"MOTOR",1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(238);	
	$pdf->Cell(15,5,"CANTIDAD",1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(253);	
	$pdf->Cell(20,5,"VALOR FOB (".utf8_decode($moneda).")",1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(273);	
	$pdf->Cell(20,5,"FLETE (".utf8_decode($moneda).")",1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(293);	
	$pdf->Cell(20,5,"SEGURO (".utf8_decode($moneda).")",1,1,'C');
	
	$pdf->SetY(40);
	$pdf->Setx(313);	
	$pdf->Cell(20,5,"VALOR ADUANA (".utf8_decode($moneda).")",1,1,'C');
	$y=45;
	$sumacatidad=0;
	$sumafob=0;
	$sumaseguro=0;
	$sumaflete=0;
	$sumaaduana=0;
	$sumaaduana2=0;
	$contador = 0;
	$numeral=1;
	$detaf ="SELECT df.*, fd.*
	FROM tb_detallefactura  as df
	INNER JOIN tb_datadai as fd on fd.iddatadai = df.id_datadai
	WHERE df.id_facturainfo = $idfactura and df.condicion =1";
	$det = mysqli_query($conn,$detaf);	
	while($row = mysqli_fetch_array($det) )
	{	
		$contador++;
		$pdf->SetFont('Arial','',5);
		$pdf->SetY($y);
		$pdf->Cell(8,5,$numeral,1,1,'C');
		
		$pdf->SetY($y);
		$pdf->Setx(18);	
		$pdf->Cell(10,5,$row['item'],1,1,'C');
		
		$pdf->SetY($y);
		$pdf->Setx(28);	
		$pdf->Cell(20,5,$row['marca'],1,1,'C');
	    
		$pdf->SetY($y);
		$pdf->Setx(48);
		$modeloLength = strlen($row['descripcion']);
		if($modeloLength >= 30)
		{
		    $pdf->MultiCell(30,2.5,$row['descripcion'],1,'J',0);
		}
		else
		{
		    $pdf->Cell(30,5,$row['descripcion'],1,1,'C');
		}
		
		$pdf->SetY($y);
		$pdf->Setx(78);	
		$pdf->Cell(15,5,(utf8_decode($row['color'])),1,1,'C');
	
		$pdf->SetY($y);
		$pdf->Setx(93);	
		//$pdf->Cell(50,5,$row['modelo'],1,1,'C');
		$modeloLength = strlen($row['modelo']);
		if($modeloLength >= 49)
		{
		    $pdf->MultiCell(50,2.5,$row['modelo'],1,'J',0);
		}
	    else
	    {
	        $pdf->Cell(50,5,$row['modelo'],1,1,'C');
	    }
		$pdf->SetY($y);
		$pdf->Setx(143);	
		$pdf->Cell(15,5,$row['otras'],1,1,'C');
	
		$pdf->SetY($y);
		$pdf->Setx(158);	
		$pdf->Cell(40,5,$row['chasis'],1,1,'C');
	
		$pdf->SetY($y);
		$pdf->Setx(198);	
		$pdf->Cell(40,5,$row['motor'],1,1,'C');
		
		$pdf->SetY($y);
		$pdf->Setx(238);	
		$pdf->Cell(15,5,$row['cantidad'],1,1,'C');
		
		$pdf->SetY($y);
		$pdf->Setx(253);	
		$pdf->Cell(20,5,utf8_decode($moneda).number_format($row['fobitem'],3),1,1,'C');
		
		$pdf->SetY($y);
		$pdf->Setx(273);	
		$pdf->Cell(20,5,utf8_decode($moneda).number_format($row['transporte'],3),1,1,'C');
		
		$pdf->SetY($y);
		$pdf->Setx(293);	
		$pdf->Cell(20,5,utf8_decode($moneda).number_format($row['seguro'],3),1,1,'C');
		// nueva resolucion aduana donde  
		$fecha_actual2 = "2023-12-31";
		if($fechafi <= $fecha_actual2)
		{
		    $pdf->SetY($y);
			$pdf->Setx(313);	
			$pdf->Cell(20,5,utf8_decode($moneda).number_format($row['valoraduana'],3),1,1,'C');
		    
		
		
		}
		else
		{
			$pdf->SetY($y);
			$pdf->Setx(313);	
			$pdf->Cell(20,5,utf8_decode($moneda).number_format($row['fobitem']+$row['transporte']+$row['seguro'],3),1,1,'C');
		}	

		$id_datadai= $row['id_datadai'];
		
		$sumacatidad = $sumacatidad + $row['cantidad'];
		$sumafob = $sumafob + $row['fobitem'];
		$sumaseguro = $sumaseguro + $row['seguro'];
		$sumaflete = $sumaflete + $row['transporte'];
		$sumaaduana = $sumaaduana + $sumafob + $sumaseguro;

		// resolucion de aduana
		$sumaaduana2 = $sumaaduana2 + $sumafob + $sumaseguro + $sumaflete;
		
		$sumaaduana1 = $sumaaduana1 + $sumafob + $sumaseguro;
		
		$y=$y+5;
		
		$sql = "UPDATE tb_datadai SET id_estado = 6 WHERE iddatadai = '$id_datadai'";
		$regis = mysqli_query($conn,$sql); 
		
		if ($contador > 27)
		{
			$pdf->AddPage();
			$y=10;
			$contador=0;
		}
		$numeral=$numeral+1;
	}
	
	$pdf->SetFont('Arial','B',6);
	$pdf->SetY($y);
	$pdf->Setx(238);	
	$pdf->Cell(15,5,$sumacatidad,1,1,'C');
	$pdf->SetY($y+5);
	$pdf->Setx(238);	
	$pdf->Cell(15,5,"",1,1,'C');
	$pdf->SetY($y+4);
	$pdf->Setx(238);
	$pdf->SetFont('Arial','B',5);
	$pdf->Cell(15,5,"UNIDADES ",0,1,'C');
	$pdf->SetY($y+6);
	$pdf->Setx(238);
	$pdf->Cell(15,5,"COMERCIALES",0,1,'C');
	
	//$pdf->SetTextColor(0,255,0);
	$pdf->SetFillColor(207, 200, 198);
	$pdf->SetFont('Arial','B',6);
	$pdf->SetY($y);
	$pdf->Setx(253);	
	$pdf->Cell(20,5,utf8_decode($moneda).number_format($sumafob,3),1,1,'C','true');	
	$pdf->SetY($y+5);
	$pdf->Setx(253);
	$pdf->SetFont('Arial','B',5);	
	$pdf->Cell(20,5,"TOTAL FOB",1,1,'C','true');
	
	$pdf->SetFont('Arial','B',6);	
	$pdf->SetY($y);
	$pdf->Setx(273);	
	$pdf->Cell(20,5,utf8_decode($moneda).number_format($sumaflete,3),1,1,'C');
	$pdf->SetY($y+5);
	$pdf->Setx(273);	
	$pdf->SetFont('Arial','B',5);
	$pdf->Cell(20,5,"FLETE",1,1,'C');
	
	$pdf->SetFont('Arial','B',6);	
	$pdf->SetY($y);
	$pdf->Setx(293);	
	$pdf->Cell(20,5,utf8_decode($moneda).number_format($sumaseguro,3),1,1,'C','true');
	$pdf->SetY($y+5);
	$pdf->Setx(293);	
	$pdf->SetFont('Arial','B',5);
	$pdf->Cell(20,5,"SEGURO",1,1,'C','true');
	
	$pdf->SetFont('Arial','B',6);		
	$pdf->SetY($y);
	$pdf->Setx(313);
	if($fechafi <= $fecha_actual2)
	{
	    // resolucion de aduana
		$pdf->Cell(20,5,utf8_decode($moneda).number_format($sumaaduana,3),1,1,'C');
	   
	}
	else
	{
		 //$pdf->Cell(20,5,utf8_decode($moneda).number_format($sumaaduana2,3),1,1,'C');
		 $pdf->Cell(20,5,utf8_decode($moneda).number_format($sumafob+$sumaflete+$sumaseguro,3),1,1,'C');
	}
	$pdf->SetFont('Arial','B',6);		
	$pdf->SetY($y+5);
	$pdf->Setx(313);
	$pdf->SetFont('Arial','B',5);
	$pdf->Cell(20,5,"TOTAL(".utf8_decode($moneda).")",1,1,'C');
	
	
	$pdf->Output();
	
?>